
{% extends "layout.html" %}
{% block content %}
    <div class="content-section">
      <div class="media">
        <img class="rounded-circle account-img" src="{{ image_file }}">
        <div class="media-body">
          <h2 class="account-heading">{{ user.username }}</h2>
          <p class="text-secondary">{{ user.email }}</p>
          <p class="text-secondary"> <strong>Rola: </strong>{{ user.role }}</p>
          <p class="text-secondary"><strong>Gałąź: </strong>
            {% for branch in branches %}
              {% if branch.id == user.id_branch %}
              {{ branch.name }}
              {% endif %}
            {% endfor %}
          </p>
            <button type="button" class="btn btn-danger btn-sm m-1" data-toggle="modal"
            data-target="#deleteModal">Usuń konto</button>
        </div>
      </div>
        <form method="POST" action="" enctype="multipart/form-data">
            {{ form.hidden_tag() }}
            <fieldset class="form-group">
                <legend class="border-bottom mb-4">Ustawienia konta</legend>
                <div class="form-group">
                    {{ form.username.label(class="form-control-label") }}

                    {% if form.username.errors %}
                        {{ form.username(class="form-control form-control-lg is-invalid") }}
                        <div class="invalid-feedback">
                            {% for error in form.username.errors %}
                                <span>{{ error }}</span>
                            {% endfor %}
                        </div>
                    {% else %}
                        {{ form.username(class="form-control form-control-lg") }}
                    {% endif %}
                </div>
                <div class="form-group">
                    {{ form.email.label(class="form-control-label") }}
                    {% if form.email.errors %}
                        {{ form.email(class="form-control form-control-lg is-invalid") }}
                        <div class="invalid-feedback">
                            {% for error in form.email.errors %}
                                <span>{{ error }}</span>
                            {% endfor %}
                        </div>
                    {% else %}
                        {{ form.email(class="form-control form-control-lg") }}
                    {% endif %}
                </div>
                <div class="form-group">
                    {{ form.picture.label() }}
                    {{ form.picture(class="form-control-file") }}
                    {% if form.picture.errors %}
                        {% for error in form.picture.errors %}
                            <span class="text-danger">{{ error }}</span></br>
                        {% endfor %}
                    {% endif %}
                </div>
                <div class="form-group">
                  
                  Gałąź: <select name="selectbranch" id="selectbranch">
                    {% for branch in branches %}
                      {% if branch.id == user.id_branch %}
                        <option value="{{ branch.id }}" selected>{{ branch.name }}</option>
                      {% else %}
                        <option value="{{ branch.id }}">{{ branch.name }}</option>
                      {% endif %}
                    {% endfor %}
                  </select>
                  
              </div>
            </fieldset>
            <div class="form-group">
                {{ form.submit(class="btn btn-outline-info") }}
            </div>
        </form>
    </div>
    <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="deleteModalLabel">Czy na pewno chcesz usunąć konto?</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Zamknij</button>
        <form action="{{ url_for('users.delete', id_user=user.id) }}" method="POST">
          <input class="btn btn-danger" type="submit" value="Usuń">
        </form>
      </div>
    </div>
  </div>
</div>
{% endblock content %}